atomic.hpp File Reference
Support for Serializing Various Types » Standard Library Support

Support for types found in <atomic> More...

`#include <cereal/cereal.hpp>`
`#include <atomic>`

Go to the source code of this file.

## Functions

template<class Archive , class T >
void | cereal::CEREAL_SAVE_FUNCTION_NAME (Archive &ar, std::atomic< T > const &a)
| Serializing (save) for std::atomic.
template<class Archive , class T >
void | cereal::CEREAL_LOAD_FUNCTION_NAME (Archive &ar, std::atomic< T > &a)
| Serializing (load) for std::atomic.

## Detailed Description

Support for types found in <atomic>